## org.apache.commons.collections.map
Class AbstractHashedMap.Values

    java.lang.Object
      java.util.AbstractCollection
          org.apache.commons.collections.map.AbstractHashedMap.Values

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection

Enclosing class:
  AbstractHashedMap

    protected static class AbstractHashedMap.Values

extends java.util.AbstractCollection

Values implementation.

Field Summary
`protected AbstractHashedMap` `parent` The parent map

Constructor Summary
`protected` `AbstractHashedMap.Values(AbstractHashedMap parent)`

Method Summary
`void` `clear()`
`boolean` `contains(java.lang.Object value)`
`java.util.Iterator` `iterator()`
`int` `size()`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Field Detail

### parent

    protected final AbstractHashedMap parent

  The parent map

Constructor Detail

### AbstractHashedMap.Values

    protected AbstractHashedMap.Values(AbstractHashedMap parent)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Overrides:
    `clear` in class `java.util.AbstractCollection`

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    `contains` in interface `java.util.Collection`
  Overrides:
    `contains` in class `java.util.AbstractCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.